> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete apipaymentspayment details



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json delete /api/payments/payment-details/{paymentDetailId}
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/payments/payment-details/{paymentDetailId}:
    delete:
      tags:
        - payments
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: true
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: UUID of the sales channel
          required: true
          schema:
            type: string
        - name: paymentDetailId
          in: path
          required: true
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    oneOf:
                      - type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - EGUMA
                          type:
                            type: string
                            enum:
                              - voucher
                          id:
                            type: number
                          isDefault:
                            type: boolean
                          status:
                            type: string
                            enum:
                              - PENDING
                              - ACTIVE
                              - EXPIRED
                              - DECLINED
                          code:
                            type: string
                        required:
                          - provider
                          - type
                          - id
                          - isDefault
                          - status
                          - code
                      - type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - INCERT
                          type:
                            type: string
                            enum:
                              - voucher
                          id:
                            type: number
                          isDefault:
                            type: boolean
                          status:
                            type: string
                            enum:
                              - PENDING
                              - ACTIVE
                              - EXPIRED
                              - DECLINED
                          code:
                            type: string
                        required:
                          - provider
                          - type
                          - id
                          - isDefault
                          - status
                          - code
                      - type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - DATATRANS
                          refno:
                            type: string
                          transactionId:
                            type: string
                          paymentMethod:
                            type: string
                            enum:
                              - TWI
                          brand:
                            type: string
                          type:
                            type: string
                            enum:
                              - TWI
                          id:
                            type: number
                          isDefault:
                            type: boolean
                          status:
                            type: string
                            enum:
                              - PENDING
                              - ACTIVE
                              - EXPIRED
                              - DECLINED
                          code:
                            type: string
                        required:
                          - provider
                          - refno
                          - transactionId
                          - paymentMethod
                          - brand
                          - type
                          - id
                          - isDefault
                          - status
                          - code
                      - type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - DATATRANS
                          refno:
                            type: string
                          transactionId:
                            type: string
                          paymentMethod:
                            type: string
                            enum:
                              - PFP
                          brand:
                            type: string
                          type:
                            type: string
                            enum:
                              - PFP
                          id:
                            type: number
                          isDefault:
                            type: boolean
                          status:
                            type: string
                            enum:
                              - PENDING
                              - ACTIVE
                              - EXPIRED
                              - DECLINED
                          code:
                            type: string
                        required:
                          - provider
                          - refno
                          - transactionId
                          - paymentMethod
                          - brand
                          - type
                          - id
                          - isDefault
                          - status
                          - code
                      - type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - DATATRANS
                          refno:
                            type: string
                          transactionId:
                            type: string
                          paymentMethod:
                            type: string
                            enum:
                              - PFC
                          brand:
                            type: string
                          type:
                            type: string
                            enum:
                              - PFC
                          id:
                            type: number
                          isDefault:
                            type: boolean
                          status:
                            type: string
                            enum:
                              - PENDING
                              - ACTIVE
                              - EXPIRED
                              - DECLINED
                          code:
                            type: string
                        required:
                          - provider
                          - refno
                          - transactionId
                          - paymentMethod
                          - brand
                          - type
                          - id
                          - isDefault
                          - status
                          - code
                      - type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - DATATRANS
                          refno:
                            type: string
                          transactionId:
                            type: string
                          paymentMethod:
                            type: string
                            enum:
                              - REK
                          brand:
                            type: string
                          type:
                            type: string
                            enum:
                              - REK
                          id:
                            type: number
                          isDefault:
                            type: boolean
                          status:
                            type: string
                            enum:
                              - PENDING
                              - ACTIVE
                              - EXPIRED
                              - DECLINED
                          code:
                            type: string
                        required:
                          - provider
                          - refno
                          - transactionId
                          - paymentMethod
                          - brand
                          - type
                          - id
                          - isDefault
                          - status
                          - code
                      - type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - DATATRANS
                          refno:
                            type: string
                          transactionId:
                            type: string
                          paymentMethod:
                            type: string
                            enum:
                              - VIS
                              - ECA
                              - AMX
                              - CUP
                              - DIN
                              - DIS
                              - JCB
                              - MAU
                              - DNK
                              - UAP
                              - BON
                          brand:
                            type: string
                          type:
                            type: string
                            enum:
                              - card
                          expiryMonth:
                            type: number
                          expiryYear:
                            type: number
                          masked:
                            type: string
                          nextExpireDateChecker:
                            type: string
                          numberOfExpireTries:
                            type: number
                          subType:
                            type: string
                            enum:
                              - debit
                          id:
                            type: number
                          isDefault:
                            type: boolean
                          status:
                            type: string
                            enum:
                              - PENDING
                              - ACTIVE
                              - EXPIRED
                              - DECLINED
                          code:
                            type: string
                        required:
                          - provider
                          - refno
                          - transactionId
                          - paymentMethod
                          - brand
                          - type
                          - expiryMonth
                          - expiryYear
                          - masked
                          - numberOfExpireTries
                          - subType
                          - id
                          - isDefault
                          - status
                          - code
                      - type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - DATATRANS
                          refno:
                            type: string
                          transactionId:
                            type: string
                          paymentMethod:
                            type: string
                            enum:
                              - VIS
                              - ECA
                              - AMX
                              - CUP
                              - DIN
                              - DIS
                              - JCB
                              - MAU
                              - DNK
                              - UAP
                              - BON
                          brand:
                            type: string
                          type:
                            type: string
                            enum:
                              - card
                          expiryMonth:
                            type: number
                          expiryYear:
                            type: number
                          masked:
                            type: string
                          nextExpireDateChecker:
                            type: string
                          numberOfExpireTries:
                            type: number
                          subType:
                            type: string
                            enum:
                              - prepaid
                          id:
                            type: number
                          isDefault:
                            type: boolean
                          status:
                            type: string
                            enum:
                              - PENDING
                              - ACTIVE
                              - EXPIRED
                              - DECLINED
                          code:
                            type: string
                        required:
                          - provider
                          - refno
                          - transactionId
                          - paymentMethod
                          - brand
                          - type
                          - expiryMonth
                          - expiryYear
                          - masked
                          - numberOfExpireTries
                          - subType
                          - id
                          - isDefault
                          - status
                          - code
                      - type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - DATATRANS
                          refno:
                            type: string
                          transactionId:
                            type: string
                          paymentMethod:
                            type: string
                            enum:
                              - VIS
                              - ECA
                              - AMX
                              - CUP
                              - DIN
                              - DIS
                              - JCB
                              - MAU
                              - DNK
                              - UAP
                              - BON
                          brand:
                            type: string
                          type:
                            type: string
                            enum:
                              - card
                          expiryMonth:
                            type: number
                          expiryYear:
                            type: number
                          masked:
                            type: string
                          nextExpireDateChecker:
                            type: string
                          numberOfExpireTries:
                            type: number
                          subType:
                            type: string
                            enum:
                              - credit
                          id:
                            type: number
                          isDefault:
                            type: boolean
                          status:
                            type: string
                            enum:
                              - PENDING
                              - ACTIVE
                              - EXPIRED
                              - DECLINED
                          code:
                            type: string
                        required:
                          - provider
                          - refno
                          - transactionId
                          - paymentMethod
                          - brand
                          - type
                          - expiryMonth
                          - expiryYear
                          - masked
                          - numberOfExpireTries
                          - subType
                          - id
                          - isDefault
                          - status
                          - code
                      - type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - DATATRANS
                          refno:
                            type: string
                          transactionId:
                            type: string
                          paymentMethod:
                            type: string
                            enum:
                              - PAP
                          brand:
                            type: string
                          type:
                            type: string
                            enum:
                              - PAP
                          fraudSessionId:
                            type: string
                          id:
                            type: number
                          isDefault:
                            type: boolean
                          status:
                            type: string
                            enum:
                              - PENDING
                              - ACTIVE
                              - EXPIRED
                              - DECLINED
                          code:
                            type: string
                        required:
                          - provider
                          - refno
                          - transactionId
                          - paymentMethod
                          - brand
                          - type
                          - id
                          - isDefault
                          - status
                          - code
                      - type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - DATATRANS
                          refno:
                            type: string
                          transactionId:
                            type: string
                          paymentMethod:
                            type: string
                            enum:
                              - EPS
                          brand:
                            type: string
                          type:
                            type: string
                            enum:
                              - EPS
                          id:
                            type: number
                          isDefault:
                            type: boolean
                          status:
                            type: string
                            enum:
                              - PENDING
                              - ACTIVE
                              - EXPIRED
                              - DECLINED
                          code:
                            type: string
                        required:
                          - provider
                          - refno
                          - transactionId
                          - paymentMethod
                          - brand
                          - type
                          - id
                          - isDefault
                          - status
                          - code
                      - type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - DATATRANS
                          type:
                            type: string
                            enum:
                              - anonymous
                          paymentMethod:
                            oneOf:
                              - type: object
                                properties: {}
                              - type: string
                                enum:
                                  - TWI
                              - type: string
                                enum:
                                  - PAP
                              - type: string
                                enum:
                                  - DIB
                              - type: string
                                enum:
                                  - EPS
                              - type: string
                                enum:
                                  - REK
                              - type: string
                                enum:
                                  - PFP
                              - type: string
                                enum:
                                  - PFC
                              - type: string
                                enum:
                                  - APL
                              - type: string
                                enum:
                                  - PAY
                              - type: string
                                enum:
                                  - VIS
                              - type: string
                                enum:
                                  - ECA
                          transactionId:
                            type: string
                          id:
                            type: number
                          isDefault:
                            type: boolean
                          status:
                            type: string
                            enum:
                              - PENDING
                              - ACTIVE
                              - EXPIRED
                              - DECLINED
                          code:
                            type: string
                        required:
                          - provider
                          - type
                          - paymentMethod
                          - transactionId
                          - id
                          - isDefault
                          - status
                          - code
                required:
                  - data

````